# Uses of Interface
org.eclipse.emf.cdo.lm.Change

Packages that use Change
Package
Description
org.eclipse.emf.cdo.lm
The generated EMF API of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.
org.eclipse.emf.cdo.lm.impl
The generated EMF implementation of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.reviews
org.eclipse.emf.cdo.lm.reviews.impl
org.eclipse.emf.cdo.lm.util
The generated EMF utilities of the CDO Lifecycle Management model.

## Uses of Change in org.eclipse.emf.cdo.lm

Methods in org.eclipse.emf.cdo.lm that return Change
Modifier and Type
Method
Description
`Change`
LMFactory.`createChange()`
Returns a new object of class 'Change'.
`Change`
Delivery.`getChange()`
Returns the value of the 'Change' reference.
Methods in org.eclipse.emf.cdo.lm that return types with arguments of type Change
Modifier and Type
Method
Description
`EList<Change>`
FixedBaseline.`getBasedChanges()`
`EList<Change>`
Stream.`getBasedChanges()`
Methods in org.eclipse.emf.cdo.lm with parameters of type Change
Modifier and Type
Method
Description
`Delivery`
Stream.`getDelivery(Change change)`
`void`
Delivery.`setChange(Change value)`
Sets the value of the '`Change`' reference.

## Uses of Change in org.eclipse.emf.cdo.lm.client

Methods in org.eclipse.emf.cdo.lm.client that return Change
Modifier and Type
Method
Description
`Change`
ISystemDescriptor.`createChange(Stream stream, FixedBaseline base, String label, IProgressMonitor monitor)`
Methods in org.eclipse.emf.cdo.lm.client with parameters of type Change
Modifier and Type
Method
Description
`Delivery`
ISystemDescriptor.`createDelivery(Stream stream, Change change, LMMerger merger, IProgressMonitor monitor)`
`void`
ISystemDescriptor.`deleteChange(Change change, IProgressMonitor monitor)`
`void`
ISystemDescriptor.`renameChange(Change change, String newLabel, IProgressMonitor monitor)`
Constructors in org.eclipse.emf.cdo.lm.client with parameters of type Change
Modifier
Constructor
Description
``
`ChangeDeletionException(Change change)`

## Uses of Change in org.eclipse.emf.cdo.lm.impl

Classes in org.eclipse.emf.cdo.lm.impl that implement Change
Modifier and Type
Class
Description
`class`
`ChangeImpl`
An implementation of the model object 'Change'.
Methods in org.eclipse.emf.cdo.lm.impl that return Change
Modifier and Type
Method
Description
`Change`
DeliveryImpl.`basicGetChange()`
`Change`
LMFactoryImpl.`createChange()`
`Change`
DeliveryImpl.`getChange()`
Methods in org.eclipse.emf.cdo.lm.impl that return types with arguments of type Change
Modifier and Type
Method
Description
`EList<Change>`
FixedBaselineImpl.`getBasedChanges()`
`static EList<Change>`
FixedBaselineImpl.`getBasedChanges(FixedBaseline fixedBaseline)`
`EList<Change>`
StreamImpl.`getBasedChanges()`
Methods in org.eclipse.emf.cdo.lm.impl with parameters of type Change
Modifier and Type
Method
Description
`NotificationChain`
DeliveryImpl.`basicSetChange(Change newChange, NotificationChain msgs)`
`Delivery`
StreamImpl.`getDelivery(Change change)`
`void`
DeliveryImpl.`setChange(Change newChange)`

## Uses of Change in org.eclipse.emf.cdo.lm.reviews

Methods in org.eclipse.emf.cdo.lm.reviews that return Change
Modifier and Type
Method
Description
`Change`
DeliveryReview.`getSourceChange()`
Returns the value of the 'Source Change' reference.
Methods in org.eclipse.emf.cdo.lm.reviews with parameters of type Change
Modifier and Type
Method
Description
`void`
DeliveryReview.`setSourceChange(Change value)`
Sets the value of the '`Source Change`' reference.

## Uses of Change in org.eclipse.emf.cdo.lm.reviews.impl

Methods in org.eclipse.emf.cdo.lm.reviews.impl that return Change
Modifier and Type
Method
Description
`Change`
DeliveryReviewImpl.`getSourceChange()`
Methods in org.eclipse.emf.cdo.lm.reviews.impl that return types with arguments of type Change
Modifier and Type
Method
Description
`EList<Change>`
DropReviewImpl.`getBasedChanges()`
Methods in org.eclipse.emf.cdo.lm.reviews.impl with parameters of type Change
Modifier and Type
Method
Description
`void`
DeliveryReviewImpl.`setSourceChange(Change newSourceChange)`

## Uses of Change in org.eclipse.emf.cdo.lm.util

Methods in org.eclipse.emf.cdo.lm.util with parameters of type Change
Modifier and Type
Method
Description
`T`
LMSwitch.`caseChange(Change object)`
Returns the result of interpreting the object as an instance of 'Change'.